mia-3dvectorfieldcreate(1)

NAME
mia-3dvectorfieldcreate - 3D vector field creation.

SYNOPSIS
mia-3dvectorfieldcreate -o <out-file> [options]

DESCRIPTION
mia-3dvectorfieldcreate This program is used to create a file containing a 3D vector field.

OPTIONS

    -o --out-file=(output, required); io
        output file for the vector field
         For supported file types see PLUGINS:3dvf/io

    -s --size=[64,64,64]
        size of the vector field

    -y --ftype=0
        vector field type

    -f --fun=1
        just some parameter to vary the field ;-)

  Help & Info

    -V --verbose=warning
        verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

        trace - Function call trace
        debug - Debug output
        info - Low level messages
        message - Normal messages
        warning - Warnings
        fail - Report test failures
        error - Report errors
        fatal - Report only fatal errors

    --copyright
        print copyright information

    -h --help
        print this help

    -? --usage
        print a short help

    --version
        print the version number and exit

  Processing

    --threads=-1
        Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

PLUGINS: 3dvf/io

cvista
    obsolete 3d vector field io plugin for range compressend vista (saving not supported)

    Recognized file extensions: .CVF, .cvf

    Supported element types:
        floating point 32 bit

datapool
    Virtual IO to and from the internal data pool

    Recognized file extensions: .@

vista
    a 3d vector field io plugin for vista

    Recognized file extensions: .V, .VF, .v, .vf

    Supported element types:
        floating point 32 bit

vtk 3D Vector field in- and output (experimental). No attributes are stored or read.

    Recognized file extensions: .VTK, .VTKVF, .vtk, .vtkvf

    Supported element types:
        floating point 32 bit

EXAMPLE
Create a field of type 2 with fun 3.0 and size 128x128x128.

mia-3dvectorfieldcreate -o field.v -s '<128,128,128>' -t 2 -f 3.0

AUTHOR(s)
Gert Wollny

COPYRIGHT
This software is Copyright (c) 1999-2015 Leipzig, Germany and Madrid, Spain. It comes with ABSOLUTELY NO WARRANTY and you may redistribute it under the terms of the GNU GENERAL PUBLIC LICENSE Version 3 (or later). For more information run the program with the option '--copyright'.